=== debian/changelog ===
intel-media-driver-non-free (18.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Ignore pre-releases.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2019 14:13:11 +0200
