=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=future=+lfs

%:
	dh $@ --with libva

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_DRIVER_SYSCONF=OFF \
		-DENABLE_KERNELS=ON \
		-DENABLE_NONFREE_KERNELS=ON \
		-DBUILD_CMRTLIB=OFF

overrid_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
endif
