## intel-media-driver-non-free 19.2.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (19.2.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Bump libigdgmm-dev B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 18:22:41 +0200
