=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 12),
  cmake,
- libigdgmm-dev,
+ libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
  libva-dev (>= 2.3),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
