=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
-	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
+	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
 endif
