## intel-media-driver-non-free 19.4.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (19.4.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump libva-dev B-D

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Dec 2019 14:42:49 +0100

intel-media-driver-non-free (19.3.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Nov 2019 09:43:57 +0100

intel-media-driver-non-free (19.3.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version
  * debian/patches: Refresh patches
  * debian/copyright:
    - Bump copyright years
    - Remove Christoph Rau

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:31:59 +0200
