=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ dh-sequence-libva,
  cmake,
- libigdgmm-dev (>= 19.3.2),
+ libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
- libva-dev (>= 2.3),
+ libva-dev (>= 2.6),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
