## intel-media-driver-non-free 20.1.1+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
+set(MEDIA_VERSION "20.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)
 
@@ -29,10 +30,6 @@
     set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
 endif()
 message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
-
-if(NOT DEFINED MEDIA_VERSION OR MEDIA_VERSION STREQUAL "")
-    set(MEDIA_VERSION "1.0.0")
-endif()
 
 if("${os_name}" STREQUAL "clear-linux-os")
     # clear-linux-os distribution avoids /etc for distribution defaults.
@@ -65,6 +62,16 @@
         message(FATAL_ERROR "Failed to find IGA")
     endif()
 
+    find_program(CMC cmc)
+    if (NOT CMC)
+        message(FATAL_ERROR "Failed to find CMC")
+    endif()
+
+    find_program(PYTHON python)
+    if (NOT PYTHON)
+        message(FATAL_ERROR "Failed to find PYTHON")
+    endif()
+
     add_subdirectory(Tools/MediaDriverTools)
 endif()
 
@@ -75,7 +82,7 @@
 endif()
 message(STATUS "LIBVA_DRIVERS_PATH = ${LIBVA_DRIVERS_PATH}")
 
-install (FILES ${CMAKE_CURRENT_BINARY_DIR}/media_driver/iHD_drv_video.so DESTINATION ${LIBVA_DRIVERS_PATH} COMPONENT media)
+install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/media_driver/iHD_drv_video.so DESTINATION ${LIBVA_DRIVERS_PATH} COMPONENT media)
 
 option (INSTALL_DRIVER_SYSCONF "Install driver system configuration file" OFF)
 if (INSTALL_DRIVER_SYSCONF)
@@ -100,15 +107,7 @@
 set(CPACK_RPM_PACKAGE_GROUP "System Environment/Libraries")
 set(CPACK_RPM_PACKAGE_LICENSE "Intel")
 
-if (DEFINED MEDIA_VERSION)
-    string(REPLACE "." ";" MEDIA_VERSION_LIST ${MEDIA_VERSION})
-    list(GET MEDIA_VERSION_LIST 0 MEDIA_VERSION_MAJOR)
-    list(GET MEDIA_VERSION_LIST 1 MEDIA_VERSION_MINOR)
-    list(GET MEDIA_VERSION_LIST 2 MEDIA_VERSION_PATCH)
-    set(CPACK_PACKAGE_VERSION_MAJOR "${MEDIA_VERSION_MAJOR}")
-    set(CPACK_PACKAGE_VERSION_MINOR "${MEDIA_VERSION_MINOR}")
-    set(CPACK_PACKAGE_VERSION_PATCH "${MEDIA_VERSION_PATCH}")
-endif()
+set(CPACK_PACKAGE_VERSION ${MEDIA_VERSION})
 
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Intel")
 
@@ -127,9 +126,8 @@
 endif()
 
 # Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
-set(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)
 
-set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
+set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
 
 include(CPack)
