=== debian/changelog ===
intel-media-driver-non-free (20.1.1+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 24 May 2020 00:59:19 -0400

intel-media-driver-non-free (20.1.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Apr 2020 12:01:14 +0200

intel-media-driver-non-free (19.4.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Revert "Check for Xr releases"

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Apr 2020 13:08:07 +0200

intel-media-driver-non-free (19.4.0r+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/: Remove note about changing LIBVA_DRIVER
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Feb 2020 20:15:04 +0100
