=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- dh-sequence-libva,
+# dh-sequence-libva,
  cmake,
  libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
  libva-dev (>= 2.6),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
