=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,11 @@
 export DEB_BUILD_MAINT_OPTIONS=future=+lfs
 
 %:
-	dh $@ --with libva
+	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+	
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DINSTALL_DRIVER_SYSCONF=OFF \
