## intel-media-driver-non-free 20.2.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (20.2.0+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Jul 2020 21:22:11 -0400

intel-media-driver-non-free (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2020 11:03:36 +0200
