=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
-# dh-sequence-libva,
+ debhelper-compat (= 13),
+ dh-sequence-libva,
  cmake,
  libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
