## intel-media-driver-non-free 21.1.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (21.1.0+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 28 Jan 2021 14:21:03 -0500

intel-media-driver-non-free (21.1.0+ds1-1) unstable; urgency=medium

  * New upstream version release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2021 20:32:56 +0100

intel-media-driver-non-free (20.4.5+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2021 17:03:51 +0100

intel-media-driver-non-free (20.4.3+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.3+ds1
    - Fix crash on H.264 encoding (Closes: #977286)
  * debian/control: Bump libigdgmm-dev BD

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2020 18:07:37 +0100

intel-media-driver-non-free (20.4.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Dec 2020 20:52:38 +0100

intel-media-driver-non-free (20.4.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2020 17:09:28 +0100

intel-media-driver-non-free (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump libva B-D
    - Remove libpciaccess-dev from B-D

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Oct 2020 20:58:57 +0200
