=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
  debhelper-compat (= 13),
  dh-sequence-libva,
  cmake,
- libigdgmm-dev (>= 19.2.3),
- libpciaccess-dev,
- libva-dev (>= 2.6),
+ libigdgmm-dev (>= 20.3.3),
+ libva-dev (>= 2.8),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
