## intel-media-driver-non-free 21.1.1+ds1

=== debian/changelog ===
intel-media-driver-non-free (21.1.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Feb 2021 22:09:37 +0100
