## intel-media-driver-non-free 21.3.2+ds1

=== debian/changelog ===
intel-media-driver-non-free (21.3.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 01:28:12 -0400

intel-media-driver-non-free (21.3.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 20:32:16 +0200

intel-media-driver-non-free (21.3.1+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Aug 2021 19:04:41 +0200

intel-media-driver-non-free (21.3.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Aug 2021 23:00:19 +0200

intel-media-driver-non-free (21.2.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Jun 2021 00:08:54 +0200

intel-media-driver-non-free (21.1.3+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: Bump copyright years
  * debian/control: Bump libigdgmm-dev BD

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Apr 2021 14:55:45 +0200
