## intel-media-driver-non-free 21.3.4+ds1

=== debian/changelog ===
intel-media-driver-non-free (21.3.4+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 07 Oct 2021 13:43:39 -0400

intel-media-driver-non-free (21.3.4+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Oct 2021 19:43:34 +0200

intel-media-driver-non-free (21.3.3+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump libva B-D
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Sep 2021 21:35:42 +0200
