## intel-media-driver-non-free 21.4.1+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2017, Intel Corporation
+# Copyright (c) 2017-2020, Intel Corporation
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -19,8 +19,9 @@
 # OTHER DEALINGS IN THE SOFTWARE.
 
 cmake_minimum_required(VERSION 3.5)
+project(IntelMediaDriver)
 
-set(MEDIA_VERSION "20.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.4.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)
 
@@ -49,6 +50,8 @@
     "Rebuild shaders (kernels) from sources" OFF
     "ENABLE_KERNELS;NOT ENABLE_NONFREE_KERNELS" OFF)
 option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)
+
+option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)
 
 include(GNUInstallDirs)
 
@@ -131,3 +134,4 @@
 set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
 
 include(CPack)
+
