=== debian/changelog ===
intel-media-driver-non-free (21.4.1+ds1-1~peppermint1) unstable; urgency=medium

  * Rebuild for Peppermint

 -- Manuel Rosa <manuelrosa@acoroslinux.pt>  Sat, 20 Aug 2022 16:34:38 +0000

intel-media-driver-non-free (21.4.1+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial build from upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Nov 2021 11:55:52 -0500

intel-media-driver-non-free (21.4.1+ds1-1) unstable; urgency=medium

  * New upstream version 21.4.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Nov 2021 20:53:43 +0100

intel-media-driver-non-free (21.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 21.4.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Oct 2021 17:29:12 +0200
