=== cmrtlib/linux/CMakeLists.txt ===
--- 
+++ 
@@ -25,19 +25,23 @@
 set(EXECUTABLE_OUTPUT_PATH ${MDF_OPTION__OUTPUT_DIR})
 set(LIBRARY_OUTPUT_PATH    ${MDF_OPTION__OUTPUT_DIR})
 
+if (LATEST_CPP_NEEDED)
+    set(CPP_STANDARD_OPTION -std=c++17)
+else()
+    set(CPP_STANDARD_OPTION -std=c++11)
+endif()
+
 # Set up compile options that will be used for the Linux build
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -fPIC -fpermissive -fstack-protector-all -Werror")
-if(CMAKE_SIZEOF_VOID_P EQUAL 8)
-   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.1")
-endif()
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CPP_STANDARD_OPTION} -fPIC -fpermissive -fstack-protector-all")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
 set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c++17 -fPIC -fpermissive -fstack-protector-all -Werror")
-if(CMAKE_SIZEOF_VOID_P EQUAL 8)
-   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse4.1")
-endif()
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CPP_STANDARD_OPTION} -fPIC -fpermissive -fstack-protector-all")
 set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
 set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
+if(MEDIA_BUILD_FATAL_WARNINGS)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS} -Werror")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS} -Werror")
+endif()
 
 set(GCC_SECURE_LINK_FLAGS "-z relro -z now")
 set(CMAKE_SKIP_RPATH ON)
@@ -58,7 +62,7 @@
 else()
     include(FindPkgConfig)
     if(NOT LIBVA_FOUND)
-        pkg_check_modules(LIBVA REQUIRED libva>=1.0.0)
+        pkg_check_modules(LIBVA REQUIRED libva>=1.8.0)
     endif()
     if(LIBVA_FOUND)
         include_directories(BEFORE ${LIBVA_INCLUDE_DIRS})
@@ -108,6 +112,7 @@
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g10.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g11.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g12_tgl.h
+    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g12_dg1.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_hw_vebox_cmd_g10.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_def_os.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_api_os.h
