=== media_driver/linux/ult/libdrm_mock/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2018, Intel Corporation
+# Copyright (c) 2018-2021, Intel Corporation
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -21,10 +21,24 @@
 
 project(libdrm_mock)
 
-include_directories(../../common/os/i915/include ../inc)
+include_directories(../../common/os ../../common/os/i915/include ../inc)
 aux_source_directory(. SOURCES)
+
+if (MEDIA_EXT)
+    list(REMOVE_ITEM SOURCES ./mos_bufmgr_mock.c)
+    list(REMOVE_ITEM SOURCES ./libdrm_mock/xf86drm_mock.c)
+    set(SOURCES
+        ${MEDIA_EXT_ULT}/linux/mock/libdrm_mock/mos_bufmgr_mock.c
+        ${MEDIA_EXT_ULT}/linux/mock/libdrm_mock/xf86drm_mock.c
+)
+endif ()
+
+set(SOURCES
+    ${SOURCES}
+    ../../common/os/mos_vma.c
+)
+
 set_source_files_properties(${SOURCES} PROPERTIES LANGUAGE "CXX")
 add_library(drm_mock SHARED ${SOURCES})
 
-target_link_libraries(drm_mock pciaccess)
 set_target_properties(drm_mock PROPERTIES VERSION 2.4.0 SOVERSION 2)
