=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  dh-sequence-libva,
  cmake,
  libigdgmm-dev (>= 21.1.1),
- libva-dev (>= 2.8),
+ libva-dev (>= 2.12),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
