=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-	
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DINSTALL_DRIVER_SYSCONF=OFF \
@@ -15,9 +15,6 @@
 		-DENABLE_NONFREE_KERNELS=ON \
 		-DBUILD_CMRTLIB=OFF
 
-overrid_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
