## intel-media-driver-non-free 21.4.2+ds1

=== debian/changelog ===
intel-media-driver-non-free (21.4.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 08 Dec 2021 13:43:53 -0500

intel-media-driver-non-free (21.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 21.4.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Nov 2021 15:54:07 +0100
