## intel-media-driver-non-free 22.3.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-libva,
  cmake,
+ libdrm-dev,
  libigdgmm-dev (>= 21.1.1),
  libva-dev (>= 2.12),
  libx11-dev,
