=== debian/changelog ===
intel-media-driver-non-free (22.3.1+ds1-1ubuntu0.1) jammy; urgency=medium

  * 0001-Upstream-RPLP-upstream.patch: Add support for RPL-P. (LP:
    #2004237)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2023 18:00:58 +0200

intel-media-driver-non-free (22.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Apr 2022 23:37:05 +0200

intel-media-driver-non-free (22.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Mar 2022 23:36:04 +0100

intel-media-driver-non-free (22.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Feb 2022 08:51:55 +0100

intel-media-driver-non-free (22.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Feb 2022 18:29:21 +0100

intel-media-driver-non-free (22.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 22:24:15 +0100

intel-media-driver-non-free (22.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 22:36:27 +0100
