## intel-media-driver-non-free 22.4.3+ds1

=== debian/changelog ===
intel-media-driver-non-free (22.4.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.4.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 22:48:53 +0200

intel-media-driver-non-free (22.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.4.2+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 10:26:53 +0200

intel-media-driver-non-free (22.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.4.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Apr 2022 22:52:03 +0200
