## intel-media-driver-non-free 22.5.3%2Bds1

=== debian/changelog ===
intel-media-driver-non-free (22.5.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Aug 2022 21:33:08 +0200

intel-media-driver-non-free (22.5.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 Aug 2022 20:57:22 +0200

intel-media-driver-non-free (22.5.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 21:18:24 +0200
